:root{
    color-scheme:light !important;
}

html{
    background:#f1f5f9 !important;
    color:#1e293b !important;
}

body{
    background:#f1f5f9 !important;
    color:#1e293b !important;
}

/* PAKSA SEMUA BAGIAN */

section,
div,
.card,
header,
footer,
nav{
    background-color:inherit;
}

/* FORM */

input,
select,
textarea{
    background:#ffffff !important;
    color:#000000 !important;
    border:1px solid #dcdfe4 !important;
}

@media (prefers-color-scheme: dark){

    html,
    body{
        background:#f1f5f9 !important;
        color:#1e293b !important;
    }

}

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:'Poppins', sans-serif;
    background:#f1f5f9;
    color:#1e293b;
    line-height:1.7;
}

/* HEADER */

header{
    background:linear-gradient(135deg,#0f172a,#1e293b);
    color:white;
    text-align:center;
    padding:60px 20px;
}

header h1{
    font-size:42px;
    font-weight:700;
    letter-spacing:1px;
    margin-bottom:10px;
}

header p{
    font-size:16px;
    font-weight:300;
    opacity:0.9;
}

.header{
    background:linear-gradient(135deg,#fdfdfd,#ffffff);
    color:white;
    padding:18px 15px;
    position:relative;
    text-align:center;
}

.header-left{
    position:absolute;
    left:12px;
    top:50%;
    transform:translateY(-50%);
}

.profile-img{
    width:50px;
    height:50px;
    object-fit:cover;
    border-radius:50%;
    border:2px solid white;
}

.header-center h1{
    font-size:35px;
    font-weight:800;
    letter-spacing:1px;
    color:rgb(0, 0, 0);
    margin-bottom:10px;
    text-shadow:0 4px 10px rgba(0,0,0,0.25);
}

.header-center{
    padding-left:55px;
}

.header-center p{
    font-size:21px;
    font-weight:300;
    letter-spacing:2px;
    color:#000000;
    text-transform:uppercase;
}

/* NAVBAR */

nav{
    background:rgb(7, 2, 2);
    padding:18px;
    text-align:center;
    box-shadow:0 2px 10px rgba(0,0,0,0.05);
    position:sticky;
    top:0;
    z-index:1000;
}

nav a{
    color:#ffffff;
    text-decoration:none;
    margin:0 18px;
    font-weight:500;
    font-size:15px;
    transition:0.3s;
}

nav a:hover{
    color:#2563eb;
}

/* SECTION */

section{
    padding:15px 10%;
}

section h2{
    font-size:30px;
    margin-bottom:20px;
    color:#0f172a;
    font-weight:600;
    text-align:center;
}

/* CARD */

.card{
    background:white;
    padding:30px;
    border-radius:16px;
    margin-bottom:15px;
    box-shadow:0 5px 20px rgba(0,0,0,0.06);
    transition:0.3s;
}

.card:hover{
    transform:translateY(-5px);
}

.card h2{
    text-align:left;
    margin-bottom:12px;
    font-size:24px;
}

.card p,
.card li{
    font-size:15px;
    color:#475569;
}

.card p{
    margin-bottom:10px;
    font-size:15px;
    color:#1c43c4;
}

/* SLIDER */

.slider{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:12px;
    margin-top:20px;

}

.slider img{
    width:100%;
    max-width:650px;
    height:380px;
    object-fit:cover;
    border-radius:18px;
    box-shadow:0 8px 25px rgba(0,0,0,0.12);
    transition:transform 0.3s ease;
}

.slider img:hover{
    transform:scale(1.01);
}

/* BUTTON SLIDER */

.arrow{
    background:#0f172a;
    color:white;
    border:none;
    width:55px;
    height:55px;
    border-radius:50%;
    font-size:22px;
    cursor:pointer;
    transition:0.3s;
}

.arrow:hover{
    background:#2563eb;
    transform:scale(1.1);
}

/* INFO MOBIL */

.mobil-info{
    text-align:center;
    margin-top:25px;
}

.mobil-info h3{
    font-size:28px;
    font-weight:600;
    margin-bottom:8px;
}

.mobil-info p{
    font-size:16px;
    color:#475569;
}

/* BOOKING */

.booking-box{
    background:white;
    max-width:400px;
    margin:auto;
    padding:25px;
    border-radius:20px;
    box-shadow:0 5px 20px rgba(0,0,0,0.05);
}

.booking-box h2{
    text-align:center;
    margin-bottom:25px;
    font-size:28px;
}

.booking-box input,
.booking-box select{
    width:100%;
    height:52px;
    padding:0 14px;
    margin-bottom:12px;
    border:1px solid #dcdfe4;
    border-radius:12px;
    font-size:14px;
    background:#f8f8f8;
    font-family:'Poppins', sans-serif;
    appearance:none;
    -webkit-appearance:none;
}

.booking-box input:focus,
.booking-box select:focus{
    outline:none;
    border-color:#2563eb;
}

.booking-box button{
    width:100%;
    padding:14px;
    border:none;
    border-radius:12px;
    background:#07153a;
    color:white;
    font-size:15px;
    cursor:pointer;
    margin-top:5px;
}

.booking-box button:hover{
    background:#2563eb;
}

.booking-box label{
    font-size:13px;
    font-weight:500;
    color:#334155;
}

/* KHUSUS INPUT DATE */

.booking-box input[type="date"]{
    display:flex;
    align-items:center;
    color:#333;
}

/* LIST */

ul{
    padding-left:20px;
}

ul li{
    margin-bottom:10px;
}

/* REVIEW */

.review{
    font-size:15px;
    margin-bottom:10px;
}

/* FOOTER */

footer{
    background:#0f172a;
    color:white;
    text-align:center;
    padding:25px;
    margin-top:50px;
    font-size:14px;
}

/* RESPONSIVE */

@media(max-width:768px){

    header h1{
        font-size:32px;
    }

    section{
        padding:50px 6%;
    }

    .slider{
        flex-direction:column;
    }

    .slider img{
        width:100%;
        height:250px;
    }

    nav a{
        display:inline-block;
        margin:8px;
    }

    .maps-box iframe{
    height:220px;
    }

}

/* FOTO PROFIL */

@media(max-width:768px){

    .header{
        padding:20px 15px;
    }

    .header-left{
        left:15px;
    }

    .profile-img{
        width:80px;
        height:80px;
    }

    .header-center h1{
        font-size:24px;
    }

    .header-center p{
        font-size:12px;
    }

}

@media(max-width:768px){

    .slider{
        gap:8px;
    }

    .slider img{
        width:100%;
        height:210px;
        border-radius:14px;
    }

}

/* MAPS */

.maps-box{
    width:100%;
    overflow:hidden;
    border-radius:12px;
    margin-top:15px;
}

.maps-box iframe{
    width:100%;
    height:300px;
    border:0;
    display:block;
}

.logo-company{
    width:100%;
    display:flex;
    justify-content:center;
    margin-bottom:8px;
}

.logo-company img{
    width:700px;
    max-width:100%;
    object-fit:contain;
}

.contact-row{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:35px;
    flex-wrap:wrap;
    margin-top:10px;
}

.contact-row p{
    margin:0;
    padding:0;
    background:none;
    border:none;
    box-shadow:none;
    font-size:15px;
    color:#475569;
}

/* MOBILE */

@media(max-width:768px){

    section{
        padding:12px 5%;
    }

    .card{
        margin-bottom:8px;
        padding:14px;
    }

    .contact-row{
        gap:12px;
        margin-top:5px;
    }

    .maps-box{
        margin-top:8px;
    }

    footer{
        margin-top:5px;
        padding:12px;
        font-size:11px;
    }

}

.contact-row{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:25px;
    flex-wrap:wrap;
    margin-top:10px;
}

.contact-row p{
    margin:0;
    font-size:14px;
    color:#475569;
}

.contact-row a{
    text-decoration:none;
    color:#2563eb;
    font-weight:500;
    transition:0.3s;
}

.contact-row a:hover{
    color:#0f172a;
}

input,
select,
textarea{
    background:#ffffff !important;
    color:#000000 !important;
    border:1px solid #dcdfe4 !important;
}